#ifndef __CITRIX_SERVER_H__
#define __CITRIX_SERVER_H__

#include <glib-object.h>
#include <json-glib/json-glib.h>
#include "server.h"

G_BEGIN_DECLS

#define CITRIX_SERVER_TYPE            (citrix_server_get_type ())
#define CITRIX_SERVER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), CITRIX_SERVER_TYPE, CitrixServer))
#define CITRIX_SERVER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), CITRIX_SERVER_TYPE, CitrixServerClass))
#define IS_CITRIX_SERVER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CITRIX_SERVER_TYPE))
#define IS_CITRIX_SERVER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), CITRIX_SERVER_TYPE))
#define CITRIX_SERVER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), CITRIX_SERVER_TYPE, CitrixServerClass))

typedef struct _CitrixServer      CitrixServer;
typedef struct _CitrixServerClass CitrixServerClass;

struct _CitrixServerClass {
	ServerClass parent_class;
};

struct _CitrixServer {
	Server parent;
};

GType citrix_server_get_type (void);
Server * citrix_server_new_from_keyfile (GKeyFile * keyfile, const gchar * name);
Server * citrix_server_new_from_json (JsonObject * object);

G_END_DECLS

#endif
