#ifndef __RDP_SERVER_H__
#define __RDP_SERVER_H__

#include <glib-object.h>
#include <json-glib/json-glib.h>
#include "server.h"

G_BEGIN_DECLS

#define RDP_SERVER_TYPE            (rdp_server_get_type ())
#define RDP_SERVER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), RDP_SERVER_TYPE, RdpServer))
#define RDP_SERVER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), RDP_SERVER_TYPE, RdpServerClass))
#define IS_RDP_SERVER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), RDP_SERVER_TYPE))
#define IS_RDP_SERVER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), RDP_SERVER_TYPE))
#define RDP_SERVER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), RDP_SERVER_TYPE, RdpServerClass))

typedef struct _RdpServer      RdpServer;
typedef struct _RdpServerClass RdpServerClass;

struct _RdpServerClass {
	ServerClass parent_class;
};

struct _RdpServer {
	Server parent;
};

GType rdp_server_get_type (void);
Server * rdp_server_new_from_keyfile (GKeyFile * keyfile, const gchar * name);
Server * rdp_server_new_from_json (JsonObject * object);

G_END_DECLS

#endif
