#ifndef __SERVER_H__
#define __SERVER_H__

#include <glib-object.h>

G_BEGIN_DECLS

#define SERVER_TYPE            (server_get_type ())
#define SERVER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), SERVER_TYPE, Server))
#define SERVER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), SERVER_TYPE, ServerClass))
#define IS_SERVER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), SERVER_TYPE))
#define IS_SERVER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), SERVER_TYPE))
#define SERVER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), SERVER_TYPE, ServerClass))

typedef struct _Server      Server;
typedef struct _ServerClass ServerClass;

struct _ServerClass {
	GObjectClass parent_class;
	GVariant * (*get_properties) (Server * server);
	GVariant * (*get_applications) (Server * server);
};

struct _Server {
	GObject parent;

	gchar * name;
	gchar * uri;
	gboolean last_used;
};

GType server_get_type (void);
GVariant * server_get_variant (Server * server);

G_END_DECLS

#endif
