#ifndef __UCCS_SERVER_H__
#define __UCCS_SERVER_H__

#include <glib-object.h>
#include "server.h"

G_BEGIN_DECLS

#define UCCS_SERVER_TYPE            (uccs_server_get_type ())
#define UCCS_SERVER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), UCCS_SERVER_TYPE, UccsServer))
#define UCCS_SERVER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), UCCS_SERVER_TYPE, UccsServerClass))
#define IS_UCCS_SERVER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), UCCS_SERVER_TYPE))
#define IS_UCCS_SERVER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), UCCS_SERVER_TYPE))
#define UCCS_SERVER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), UCCS_SERVER_TYPE, UccsServerClass))

typedef struct _UccsServer      UccsServer;
typedef struct _UccsServerClass UccsServerClass;

struct _UccsServerClass {
	ServerClass parent_class;
};

struct _UccsServer {
	Server parent;

	gchar * exec;

	gchar * username;
	gchar * password;

	GHashTable * lovers;

	GList * subservers;
};

GType uccs_server_get_type (void);
Server * uccs_server_new_from_keyfile (GKeyFile * keyfile, const gchar * name);
gboolean uccs_server_unlock (UccsServer * server, const gchar * address, const gchar * username, const gchar * password);
GVariant * uccs_server_get_servers (UccsServer * server, const gchar * address);

G_END_DECLS

#endif
